## python-prov 2.0.0

=== requirements.txt ===
lxml>=3.3.5
networkx>=2.0
python-dateutil>=2.2
pydot>=1.2.0
rdflib>=4.2.1

## python-prov 1.4.0

=== debian/changelog ===
python-prov (1.4.0-1) unstable; urgency=low

  * Initial release. (Closes: #823436)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 22 Jul 2016 20:15:34 +0100

=== debian/control ===
Source: python-prov
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-dateutil,
               python-lxml,
               python-networkx (>= 1.10),
               python-pydotplus,
               python-setuptools,
               python-six (>= 1.9.0),
               python-sphinx,
               python3-all,
               python3-dateutil,
               python3-lxml,
               python3-networkx (>= 1.10),
               python3-pydotplus,
               python3-setuptools,
               python3-six (>= 1.9.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-prov.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-prov.git
Homepage: https://github.com/trungdong/prov
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-prov
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-prov-doc,
          python-pydotplus
Description: W3C Provenance Data Model (Python 2)
 A library for W3C Provenance Data Model supporting PROV-JSON and PROV-
 XML import/export.
 .
 Features:
  - An implementation of the W3C PROV Data Model in Python.
  - In-memory classes for PROV assertions, which can then be output
    as PROV-N.
  - Serialization and deserializtion support: PROV-JSON and PROV-XML.
  - Exporting PROV documents into various graphical formats (e.g. PDF,
    PNG, SVG).
 .
 This package provides the prov library for Python 2.

Package: python3-prov
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-prov-doc,
          python3-pydotplus
Description: W3C Provenance Data Model (Python 3)
 A library for W3C Provenance Data Model supporting PROV-JSON and PROV-
 XML import/export.
 .
 Features:
  - An implementation of the W3C PROV Data Model in Python.
  - In-memory classes for PROV assertions, which can then be output
    as PROV-N.
  - Serialization and deserializtion support: PROV-JSON and PROV-XML.
  - Exporting PROV documents into various graphical formats (e.g. PDF,
    PNG, SVG).
 .
 This package provides the prov library for Python 3.

Package: python-prov-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: documentation for prov
 A library for W3C Provenance Data Model supporting PROV-JSON and PROV-
 XML import/export.
 .
 Features:
  - An implementation of the W3C PROV Data Model in Python.
  - In-memory classes for PROV assertions, which can then be output
    as PROV-N.
  - Serialization and deserializtion support: PROV-JSON and PROV-XML.
  - Exporting PROV documents into various graphical formats (e.g. PDF,
    PNG, SVG).
 .
 This package provides the documentation for the prov library.

Package: prov-tools
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-prov (= ${binary:Version})
Description: tools for prov
 A library for W3C Provenance Data Model supporting PROV-JSON and PROV-
 XML import/export.
 .
 Features:
  - An implementation of the W3C PROV Data Model in Python.
  - In-memory classes for PROV assertions, which can then be output
    as PROV-N.
  - Serialization and deserializtion support: PROV-JSON and PROV-XML.
  - Exporting PROV documents into various graphical formats (e.g. PDF,
    PNG, SVG).
 .
 This package provides the command-line tools for the prov library.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = prov
export PYBUILD_DESTDIR_python3 = debian/python3-$(PYBUILD_NAME)
export PYBUILD_AFTER_INSTALL_python2 = rm -rf {destdir}/usr/bin

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' \
		sphinx-build -N -b html docs build/html

override_dh_auto_install:
	dh_auto_install
	dh_movefiles --package=$(PYBUILD_NAME)-tools \
		--sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

=== debian/tests/control ===
Test-Command: cp -R prov/tests $AUTOPKGTEST_TMP ; cd $AUTOPKGTEST_TMP
 ; python -m unittest discover 2>&1
Depends: python, python-prov, python-pydotplus

Test-Command: cp -R prov/tests $AUTOPKGTEST_TMP ; cd $AUTOPKGTEST_TMP
 ; python3 -m unittest discover 2>&1
Depends: python3, python3-prov, python3-pydotplus

## python-prov 1.5.0

=== debian/changelog ===
python-prov (1.5.0-1) unstable; urgency=medium

  * new upstream release. (Closes: #848039)
  * switch to git-dpm
  * add build dependency on rdflib
  * upgrade packaging to debhelper 10
  * drop superfluous Testsuite field
  * simplify the packaging testsuite
  * remove superfluous gbp.conf file
  * move prov-tools to utils section
  * drop versioned dependency on networkx.
    Thanks to Yaroslav Halchenko
  * update proxy settings according to the Python library style guide.
    Thanks to Yaroslav Halchenko

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 19 Dec 2016 20:38:15 +0000

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,24 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python-all,
                python-dateutil,
                python-lxml,
-               python-networkx (>= 1.10),
+               python-networkx,
                python-pydotplus,
+               python-rdflib (>= 4.2.1),
                python-setuptools,
                python-six (>= 1.9.0),
                python-sphinx,
                python3-all,
                python3-dateutil,
                python3-lxml,
-               python3-networkx (>= 1.10),
+               python3-networkx,
                python3-pydotplus,
+               python3-rdflib (>= 4.2.1),
                python3-setuptools,
                python3-six (>= 1.9.0)
 Standards-Version: 3.9.8
@@ -89,6 +90,7 @@
 
 Package: prov-tools
 Architecture: all
+Section: utils
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-prov (= ${binary:Version})

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,11 @@
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
+override_dh_auto_build: export http_proxy=127.0.0.1:9
+override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='127.0.0.1:9' \
-		sphinx-build -N -b html docs build/html
+	PYTHONPATH=. sphinx-build -N -b html docs build/html
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP
 ; python -m unittest discover prov.tests
Depends: python-prov, python-pydotplus
Restrictions: allow-stderr
 
Test-Command: cd $AUTOPKGTEST_TMP
 ; python3 -m unittest discover prov.tests
Depends: python3-prov, python3-pydotplus
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/prov/prov-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-prov 1.5.2

=== debian/changelog ===
python-prov (1.5.2-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 22 Aug 2019 23:03:35 +0500

python-prov (1.5.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Gianfranco Costamagna ]
  * Team upload
  * debian/patches/120.patch:
    - upstream PR to fix encoding error with python2.7
  * New upstream version 1.5.2
    (Closes: #880402, Closes: #897461, Closes: #897195)
  * Follow upstream change, move from pydotplus to pydot
  * Update copyright file
  * Bump std-versiont o 4.1.4, no changes required
  * Patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Jun 2018 13:55:29 +0200

python-prov (1.5.0-2) unstable; urgency=medium

  * fixup number of previously closed bug
  * Upgrade watch file to version 4
  * Switch from git-dpm to gbp
  * Build the docs with Python 3
  * Build the docs using the upstream Makefile
  * Add support for the nodoc build profile
  * Mark doc package multiarch foreign
  * Add missing Built-Using metadata
  * Normalize the Vcs-Browser URI
  * Bump standards version to 4.0.0
  * Run autopkgtests for all supported Python versions
  * Drop binary-without-manpage lintian override
  * Normalize the package descriptions
  * Remove privacy breaching content in docs
    - New patch No-privacy-breach.patch

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 18 Jul 2017 10:30:32 +0100

=== debian/control ===
Source: python-prov
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-dateutil,
               python3-lxml,
               python3-networkx,
               python3-pydot,
               python3-rdflib (>= 4.2.1),
               python3-setuptools,
               python3-six (>= 1.9.0),
               python3-sphinx <!nodoc>,
               sphinx-common
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-prov
Vcs-Git: https://salsa.debian.org/python-team/modules/python-prov.git
Homepage: https://github.com/trungdong/prov

Package: python3-prov
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-prov-doc <!nodoc>,
          python3-pydot
Description: W3C Provenance Data Model (Python 3)
 A library for W3C Provenance Data Model supporting PROV-JSON and PROV-
 XML import/export.
 .
 Features:
  - An implementation of the W3C PROV Data Model in Python.
  - In-memory classes for PROV assertions, which can then be output
    as PROV-N.
  - Serialization and deserializtion support: PROV-JSON and PROV-XML.
  - Exporting PROV documents into various graphical formats (e.g. PDF,
    PNG, SVG).
 .
 This package provides the modules for Python 3.

Package: python-prov-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for prov
 A library for W3C Provenance Data Model supporting PROV-JSON and PROV-
 XML import/export.
 .
 Features:
  - An implementation of the W3C PROV Data Model in Python.
  - In-memory classes for PROV assertions, which can then be output
    as PROV-N.
  - Serialization and deserializtion support: PROV-JSON and PROV-XML.
  - Exporting PROV documents into various graphical formats (e.g. PDF,
    PNG, SVG).
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: prov-tools
Architecture: all
Section: utils
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-prov (= ${binary:Version})
Description: tools for prov
 A library for W3C Provenance Data Model supporting PROV-JSON and PROV-
 XML import/export.
 .
 Features:
  - An implementation of the W3C PROV Data Model in Python.
  - In-memory classes for PROV assertions, which can then be output
    as PROV-N.
  - Serialization and deserializtion support: PROV-JSON and PROV-XML.
  - Exporting PROV documents into various graphical formats (e.g. PDF,
    PNG, SVG).
 .
 This package provides the command-line tools.

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,21 @@
 export PYBUILD_AFTER_INSTALL_python2 = rm -rf {destdir}/usr/bin
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_auto_clean:
+	dh_auto_clean
+ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
+	$(MAKE) -C docs clean
+endif
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. sphinx-build -N -b html docs build/html
+ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
+	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
+endif
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd $AUTOPKGTEST_TMP
 ; echo "Testing with $py:"
 ; $py -m unittest discover -v prov.tests
 ; done
Depends: python3-all,
         python3-prov,
         python3-pydot
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/prov/prov@ANY_VERSION@@ARCHIVE_EXT@

## python-prov 2.0.0

=== debian/changelog ===
python-prov (2.0.0-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to ensure rdflib 6+ returns bytes when serializing tests;
    closes: bug#1006536, thanks to Nilesh Patra
  * add patch cherry-picked upstream
    to raise an exception
    when an empty URI is registered as a namespace

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Feb 2022 12:26:23 +0100

python-prov (2.0.0-1) unstable; urgency=medium

  * update watch file:
    + track Github source
    + add filenamemangle
    + set dversionmangle=auto
    + drop unused uversionmangle
    + add usage comment
  * update copyright info:
    + update Source and Upstream-Contact URIs to track Github source
    + update coverage
    + use Reference field (not License-Reference)
    + add related lintian overrides
  * add git-buildpackage config:
    + filter-out any .git* file
    + use DEP14 branch naming scheme
    + drop unused options stating defaults
    + add usage comment
  * stop build-depend on python3-six
  * stop build-depend on dpkg-dev,
    and relax to build-depend unversioned on python3-rdflib:
    required versions satisfied in all supported Debian releases
  * use semantic newlines in long description and copyright fields
  * drop patch 120 applied upstream
  * update DEP-3 headers and renumber remaining patch;
    add file debian/patches/README to source,
    documenting patch naming micro-policy

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Dec 2021 16:04:12 +0100

python-prov (1.5.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * set upstream metadata fields:
    Bug-Database Repository Repository-Browse

  [ Ondřej Nový ]
  * update Maintainer field: use new Debian Python Team contact address
  * update Vcs-* fields: use new Debian Python Team Salsa layout

  [ Jonas Smedegaard ]
  * add myself as uploader
  * use debhelper compatibility level 12 (not 10);
    build-depend on dh-sequence-python3 dh-sequence-sphinxdoc
    (not dh-python sphinx-common)
  * declare compliance with Debian Policy 4.6.0
  * set Rules-Requires-Root: no
  * add source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Dec 2021 14:06:24 +0100

=== debian/control ===
Source: python-prov
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ghislain Antony Vaillant <ghisvail@gmail.com>,
 Jonas Smedegaard <dr@jones.dk>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-dateutil,
 python3-lxml,
 python3-networkx,
 python3-pydot,
 python3-rdflib,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-prov
Vcs-Git: https://salsa.debian.org/python-team/packages/python-prov.git
Homepage: https://github.com/trungdong/prov
Rules-Requires-Root: no

Package: python3-prov
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-prov-doc <!nodoc>,
 python3-pydot,
Description: W3C Provenance Data Model (Python 3)
 A library for W3C Provenance Data Model
 supporting PROV-JSON and PROV-XML import/export.
 .
 Features:
  * An implementation of the W3C PROV Data Model in Python.
  * In-memory classes for PROV assertions,
    which can then be output as PROV-N.
  * Serialization and deserializtion support: PROV-JSON and PROV-XML.
  * Exporting PROV documents into various graphical formats
    (e.g. PDF, PNG, SVG).
 .
 This package provides the modules for Python 3.

Package: python-prov-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: documentation for prov
 A library for W3C Provenance Data Model
 supporting PROV-JSON and PROV-XML import/export.
 .
 Features:
  * An implementation of the W3C PROV Data Model in Python.
  * In-memory classes for PROV assertions,
    which can then be output as PROV-N.
  * Serialization and deserializtion support: PROV-JSON and PROV-XML.
  * Exporting PROV documents into various graphical formats
    (e.g. PDF, PNG, SVG).
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: prov-tools
Architecture: all
Section: utils
Depends:
 python3-prov (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: tools for prov
 A library for W3C Provenance Data Model
 supporting PROV-JSON and PROV-XML import/export.
 .
 Features:
  * An implementation of the W3C PROV Data Model in Python.
  * In-memory classes for PROV assertions,
    which can then be output as PROV-N.
  * Serialization and deserializtion support: PROV-JSON and PROV-XML.
  * Exporting PROV documents into various graphical formats
    (e.g. PDF, PNG, SVG).
 .
 This package provides the command-line tools.

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd $AUTOPKGTEST_TMP
 ; echo "Testing with $py:"
 ; $py -m unittest discover -v prov.tests
 ; done
Depends:
 python3-all,
 python3-prov,
 python3-pydot,
Restrictions: allow-stderr

## python-prov 2.0.1

=== Makefile ===
.PHONY: clean-pyc clean-build docs clean

help:
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "dist - package"

clean: clean-build clean-pyc
	rm -fr htmlcov/

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr src/*.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

lint:
	flake8 src/ prov

test:
	python setup.py test

test-all:
	tox

coverage:
	coverage run --source prov setup.py test
	coverage report -m
	coverage html
	open htmlcov/index.html

docs:
	rm -f docs/prov.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ src/prov src/prov/tests
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	open docs/_build/html/index.html

release: clean
	python setup.py sdist upload
	python setup.py bdist_wheel upload

dist: clean
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

=== requirements.txt ===
lxml>=3.3.5
networkx>=2.0
python-dateutil>=2.2
pydot>=1.2.0
rdflib>=4.2.1,<7

=== debian/changelog ===
python-prov (2.0.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.0.1, tested with rdflib 7.
  * Refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Jun 2024 15:57:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,9 @@
 
 export PYBUILD_NAME = prov
 export PYBUILD_DESTDIR_python3 = debian/python3-$(PYBUILD_NAME)
-export PYBUILD_AFTER_INSTALL_python2 = rm -rf {destdir}/usr/bin
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -24,8 +23,7 @@
 	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
 endif
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	dh_movefiles --package=$(PYBUILD_NAME)-tools \
 		--sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/trungdong/prov/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## python-prov 2.1.1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	@echo "dist - package"
 
 clean: clean-build clean-pyc
-	rm -fr htmlcov/
+	rm -fr htmlcov/ .coverage coverage.xml
 
 clean-build:
 	rm -fr build/
@@ -42,7 +42,7 @@
 docs:
 	rm -f docs/prov.rst
 	rm -f docs/modules.rst
-	sphinx-apidoc -o docs/ src/prov src/prov/tests
+	sphinx-apidoc -o docs/ src/prov
 	$(MAKE) -C docs clean
 	$(MAKE) -C docs html
 	open docs/_build/html/index.html

=== debian/changelog ===
python-prov (2.1.1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream release 2.1.1.
    - refresh patches
    - update build system to pybuild-plugin-pyproject
    - skip failing tests for now (Closes: #1121400)
  * Update Standards-Version to 4.7.3 (no changes required).
  * Drop Priority: optional, no longer needed.
  * Drop Rules-Requires-Root: no, no longer needed.

 -- Stuart Prescott <stuart@debian.org>  Mon, 12 Jan 2026 19:56:24 +1100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
  Ghislain Antony Vaillant <ghisvail@gmail.com>,
  Jonas Smedegaard <dr@jones.dk>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-dateutil,
  python3-lxml,
@@ -17,15 +17,17 @@
  python3-rdflib,
  python3-setuptools,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.6.0
+ python3-sphinx-rtd-theme <!nodoc>,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-prov
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-prov.git
 Homepage: https://github.com/trungdong/prov
-Rules-Requires-Root: no
 
 Package: python3-prov
 Architecture: all
 Depends:
+ python3-lxml,
+ python3-rdflib,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME = prov
-export PYBUILD_DESTDIR_python3 = debian/python3-$(PYBUILD_NAME)
+export PYBUILD_DESTDIR = debian/python3-$(PYBUILD_NAME)
+export PYBUILD_TEST_UNITTEST = 1
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -25,7 +26,7 @@
 
 execute_after_dh_auto_install:
 	dh_movefiles --package=$(PYBUILD_NAME)-tools \
-		--sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin
+		--sourcedir=$(PYBUILD_DESTDIR) usr/bin
 
 override_dh_installchangelogs:
 	dh_installchangelogs HISTORY.rst
